LightMapHandlerChild (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap
Interface LightMapHandlerChild

All Known Subinterfaces:
  EditorTool

All Known Implementing Classes:
  AbstractEditorTool, AbstractEventPresenter, AbstractGCT, AbstractGraphicLoader, AbstractLocationHandler, AbstractMouseMode, AbstractOpenMapMenu, BackgroundColorMenuItem, BasicCoordInfoFormatter, BasicLayerConfigurationListener, BasicLocationHandler, BasicMapPanel, BasicProjectionLoader, BasicSymbolImageMaker, BeanPanel, BufferedImageRenderPolicy, CADRGLoader, CartesianLoader, Clock, ColorGeneratorLoader, CombinedCoordPanel, ControlMenu, ControlPanelToggleMenuItem, CoordInfoFormatterHandler, CoordMouseMode, CoordsMenuItem, CSVEventImporter, CSVLinkHandler, CSVLocationHandler, DataBoundsViewMenuItem, DatumShiftGCT, DbfHandler, DbfHandler.DbfRule, DbfTableModelFactory, DBLocationHandler, DefaultHelpMenu, DefaultOverviewMouseMode, DistanceMouseMode, DistQuickTool, DistQuickTool.MouseMode, DMSCoordInfoFormatter, DockMapPanel, DrawingEditorTool, EditorLayerMouseMode, ElevationBandGeneratorLoader, EmbeddedNavPanel, EmbeddedScaleDisplayPanel, EventListCellRenderer, EventListIconPackage, EventListPresenter, EventPanel, FileMenu, FullProjectionRenderPolicy, GeneratorLoader, GIFSymbolImageMaker, GnomonicLoader, GoToMenu, GraphicLoaderConnector, HintsMapBeanRepaintPolicy, HotwashPanel, HotwashTimerControlButtonPanel, IndexRule, InformationDelegator, LambertConformalGCT, LambertConformalLoader, LayerAddPanel, LayerControlButtonPanel, LayerHandler, LayersMenu, LayersPanel, LLXYLoader, LoadPropertiesMenuItem, LOSGraphicLoader, MagicPlanetImageComponent, MapBeanKeyListener, MapBeanPrinterMenuItem, MapHandlerChild, MapHandlerMenuItem, MapRule, MapTileMakerComponent, MenuList, MercatorLoader, MercatorMeterGCT, MercatorUVGCT, MercatorUVGCT.OSM, MercatorUVGCT.TMS, MGRSCoordInfoFormatter, MiniBrowser, MMLGraphicLoader, MouseModeButtonPanel, MouseModeMenu, MouseModePanel, MultiGCT, NavigateMenu, NavigatePanel, NavMouseMode, NavMouseMode2, NetMapConnectionHandler, NetMapGraphicLoader, NullMouseMode, OMBasicMenu, OMComponent, OMComponentPanel, OMControlPanel, OMDrawingTool, OMDrawingToolLauncher, OMDrawingToolMouseMode, OMEventHandlerAdapter, OMEventSelectionCoordinator, OMGraphicDeleteTool, OMMouseMode, OMToolComponent, OMToolSet, OrthographicLoader, OverlayMapPanel, OverviewMapHandler, PanMouseMode, PanningImageRenderPolicy, PNGSymbolImageMaker, ProjectionFactory, ProjectionMenu, ProjectionStack, ProjectionStackTool, ProjMapBeanKeyListener, PropertyHandler, RangeRingsMouseMode, RenderingHintsRenderPolicy, RotTool, Rule, RuleHandler, SaveAsGifMenuItem, SaveAsImageMenuItem, SaveAsJpegMenuItem, SaveAsMenu, SavePropertiesMenuItem, ScaleTextPanel, SelectMouseMode, SlopeGeneratorLoader, StandardMapBeanRepaintPolicy, StandardRenderPolicy, StatusLightPanel, SymbolReferenceLibrary, TestEventHandler, TimelinePanel, TimePanel, TimerControlButtonPanel, TimeSliderPanel, TimeSliderPanel.TimeSliderMouseMode, UndoStack, UTMGCT, UTMProjectionLoader, WebSiteHelpMenuItem, ZoomLevelInfo, ZoomLevelMaker, ZoomLevelMakerFace, ZoomMouseMode, ZoomPanel

    public interface LightMapHandlerChild

The LightMapHandlerChild is an interface for an object that can be managed by a MapHandlerChild, and notified of changes in the MapHandler via that managing object. The two methods are intended to called when the LightMapHandlerChild should be given an opportunity to connect to an object or disconnect from an object. The LightMapHandlerChild doesn't have to do anything, this interface is really for the benefit of the managing MapHandlerChild to figure out if some of its child components may want to know about MapHandler events.

Method Summary
`void` | `findAndInit(java.lang.Object someObj)`
`void` | `findAndUndo(java.lang.Object someObj)`

Method Detail

### findAndInit

    void findAndInit(java.lang.Object someObj)

### findAndUndo

    void findAndUndo(java.lang.Object someObj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details